How to

Current Version 0.8.2
Visflood Online: www.aoe-water.hku.hk/visflood

Introducing Visflood

Visflood is a software that allows users to define channel systems and simulate water flow inside and overflow, that is flooding. Visflood is designed for a wide range of users from students to drainage engineers. Its characteristics is that three dimension view is used in both designing and visualization stage so as to give the users the sense of dimension at all time. This is the first release of Visflood, version 1.0.

Features

System Requirements

Getting Start

Navigation

References

Tutorials


Introducing Visflood System Requirements

Introducing Visflood
System Requirements

To use Visflood, you need:

  • Computer with Pentium 200 MHz or higher processor, Pentium III recommended.
  • Windows 98, Windows 98 Second Edition, Windows Millennium Edition (Windows Me), Windows NT 4.0 with Service Pack 6 (SP6) or later, Windows 2000, or Windows XP or later.
  • Memory requirement:
    For Windows 98, or Windows 98 SE: 48 MB of RAM.
    For Windows Me, or Windows NT and Windows 2000: 64 MB of RAM.
    For Windows XP Professional, or Windows XP Home Edition: 128 MB of RAM
  • Microsoft Internet Explorer 4.01 SP1 or above.
  • 20 MB of hard disk space.
  • Minimum display resolution of 1280x1024 at 24 bit color depth
  • Nvidia GeForce 2 class graphics board with at least 32 MB of video memory.

See Also

Features

Limitations


Features

Introducing VisFlood
Features

The following are the features of Visflood 1.0

  • Integrated channel designer
  • Channel side view and hydrograph display
  • 3D display in Channel Edit Mode and Visualization Mode
  • Realistic water surface display
  • 3D fly-through model navigation and unlimited custom viewpoints

See Also

Limitations


Getting Started
Getting Start Index

This section is a brief descriptions of the operations of Visflood by explaining necessary steps. The followings are the topics covered in this section:

  • Visflood Work Flow
  • The Interface
  • Define Channel Parameters
  • Define Boundary Conditions
  • Simulation
  • Visualizing the Results

For navigation techniques, please refer to the Navigation section. For details about individual objects, please refer to the References section. For real data test drive, please refer to the Tutorials section. For troubleshooting, please refer the the How-to section and Visflood FAQ.

See Also

Navigation

References

Tutorials

How-to Section


References Visflood Work Flow

Getting Started
Visflood Work Flow

The following flow chart shows the procedures to simulate water flow for a new channel network.

Visflood Workflow

See Also

Reference Index


Getting Start The Interface

Getting Started
The Interface

To simulate water flow inside a channel, the user must define the channel system and boundary conditions using the interface provided. The following image shows the main interface of Visflood 1.0.

There are a few main component in Visflood's interface:

  • Main 3D View displays the channel in 3D for both channel edit mode and visualization mode. The user can navigate through the 3D view by dragging the mouse. For details about navigation, please read the topics about 3D Navigation.
  • Quick Jump Panel displays the key objects in a tree. By double clicking an item in the quick jump view, the Main 3D view will smoothly change the viewpoint to look at the selected object. It is very useful to bring back the user to a familiar location when the user get lose in the 3D view.
  • Channel Side View is a 2D projection of a channel branch or a set of channel branches. It is used to visualized water level changes in the channel without any perspective distortion.
  • Standard Toolbar shows a set of quick buttons of some frequently accessed functions such as Start Simulation and Hydrograph Display Toggle.
  • Construction Bar is a toolbar that contains buttons mainly related to channel building functions such as Add Joints and Add Flows.
  • Animation Control Bar is a toolbar that can allow the user to control the display of simulation results like controlling a movie player. It also contains some buttons that control what to display during visualization.
  • Status Bar show the current operation mode, current time index of visualization and current navigation mode.

The size of the Quick Jump Panel, the Main 3D View and the Channel Side View can be adjusted by moving the separators between them.

See Also

Visflood Work Flow


Big Topic Smaller Topic

Getting Started
Define Channel Parameters

There are 3 building blocks in channel topology:

  • Joints, which mark the junctions of channels.
  • Edges, which are channel branches, and
  • Data Points, which are used in simulation, and help defining the shape of channel branches.

The first thing to do in defining the topology is to add Joints. Second is to join the joints together to form edges and on the edges, define the data points.

Adding Joints (Junctions)

In Visflood, junctions' absolute positions are not important. Only their relative positions are important. To add joints, click [image] on the Construction Bar or click Construct -> Add Joints in the main menu. 10 joints will be added at random position every time the Add Joints button is clicked. At the beginning, the topology of the channel is the only thing need to be defined. Therefore even the relative distances between the joints are not important. Just add enough joints so that the desired topology can be defined using the added joints.

Random joints added

Close up of one joint. it is represented by a rotating red cross.

Note that when a joint is selected, it will be enclosed by a light wired box.

Adding Edges (Channel Branches)

Edges can only be added by joining 2 or more joints. To add an edge, select 2 or more joints then click [image] on the Construction Bar, click Construct -> Join Joints or press J to joint the joints. When more then 2 joints are selected, the edges are created in the order the joints are selected. The number of created edges is one less than the number of selected joints.

Select 2 joints (above) then join. The lower diagram shows an edge is formed.

Edges are represented by blue rods connecting the end joints. The wired model shown above the blue rods is the channel represented by the edges. Since an edge represents a channel branch, it has direction. There is a normal water flow direction but not directly shown on the edge itself. But the users can see the direction from the connected joints.

A Y-shape channel.

When a joint is connected to an edge, it's type is changed from a standalone joint to one of the followings: Junction, In-flow point or Out-flow point. Both the in-flow points and out-flow points have a colored circle under them. In-flow points have beige color circles below them while out-flow points have light blue circles.

To remove unconnected joints from the environment, click [image] or click Construction Bar -> Clear Unwanted Objects. All unconnected joints will be removed.

Adding Data Points

When an edge is created, 2 data points will be added by default. By default, data points' positions are not revealed. To show their positions, click [image]. Each data point has its unique index. To show their indices, click [image] .

A Y-shape channel with initial data points revealed.

To add data points to an edge, double click the edge or select the edge then click [image] to open the Edge Properties Dialog.

The Edge Properties Dialog with the 2 initial data points.
(Click to Enlarge)

Initially, there are 2 data points on an edge object. The 2 points are shown as 2 rows in the Edge Properties Dialog. To add more data points in between, click any cell in the top row then click Insert Row. Enter the number of data points need to add.

The Edge Properties Dialog with the 3 added rows.
(Click to Enlarge)

Default values are filled in the new cells except for Delta X, which means the distance from the previous point. All cells in the table must be filled before it can be applied. The shape of the channel will follow the change of values in the Edge Properties Dialog. Generally, the head of a modified edge is fixed. Its tail and everything connected through it will be pushed, pulled or rotated according to the values defined in the dialog.

A Y-shape channel with one edge modified.

See Also

Joints

Edges

Data Points

Edge Properties Dialog


Getting Start Define Boundary Conditions

Getting Started
Define Boundary Conditions

Before defining the boundary conditions, simulation settings must be set because it affects the amount of data required. The Project Properties Dialog is for that purpose.

Boundary conditions must be defined for all in/out-flow points before simulation can begin. In Visflood, the data that define the boundary conditions are contained in Flow entities. In the main 3D view, flow entities are represented by flow pointers of different colors. In-flow pointers are beige and out-flow pointer is blue. A flow pointer must associate with an in-flow joint, an out-flow joint or a standalone joint.

Due to the limitations of the simulator, current version of Visflood only supports one out-flow pointer. In-flow pointers, on the other hand, can have many.

An in-flow pointer and its associated in-flow joint.

To add a new flow pointer, select the associated joint, click [image] or click Construct -> Add In/Out-Flow or press F. A flow pointer will be added, selected and the Flow Properties Dialog will appear. Visflood will determine the flow direction for the flow pointer.

The Flow Properties Dialog.
(Click to Enlarge)

There are two types of boundary conditions: flow quantity and water level. For out-flow, only water level is accepted. Each cell in the table represents an absolute water level in m. All cells in the table must be filled in. For in-flow, flow quantity is normally used. Each cell in the table represents a flow quantity speed in m3/s. Water level is also accepted for in-flow but only as harmonic function defined by four parameter Cycles, Amp, Offset and Phase.

Flow pointers can be re-assigned to other joints by selecting the flow pointers and the target joint then click [image] or click Construct -> Assign Flow.

After flow entities for all in/out-flow points are properly defined, boundary conditions are in-place and ready for simulation.

See Also

Flow

Project Properties Dialog

Flow Properties Dialog


Getting Start Simulation

Getting Started
Simulation

During simulation, Visflood invokes an external simulator (vfsim.exe). Data is exchanged through files. The interface and the simulator run on different address space ensures the robustness of the main interface. Before simulation can proceed, a few conditions must be matched:

  • Every connected joint must either connects to only 1 edge or more than 2 edges.
  • There shall not be loop in the channel topology.
  • All in/out-flow points must have associated flow pointers defined.
  • Initial water level must be higher than the maximum invert level of the channel.

Before simulation, save the file by clicking [image] or clicking File -> Save. Click [image] to begin simulation. Usually, it take a few second to a few minutes to simulate, depending on the simulation settings. When simulating, the Simulation Dialog box will be displayed counting the elapsed time.

The Simulation Dialog
(Click to Enlarge)

If the simulation is successful, the simulation dialog will disappear without any message. Otherwise, an error message with an error number will be displayed.

To stop the simulation before it finishes, click the Cancel button on the simulation dialog box. Sometimes, it will take a second or two to stop the simulation.

The simulator produces an output file that contains data recorded in the last simulation cycle. The recorded data can be visualized as an animation.

See Also

The Simulator


Getting Start Visualizing the Results

Getting Started
Visualizing the Results

Once the simulation is complete, the results can be visualized as an animation. To start visualizing, switch to visualize mode by clicking [image] or clicking View ->

There are a few ways to visualize the results.

By navigating through the main 3D view and watch the water level changes.

When overflow occurs, Visflood animates the spilling effect around the overflow region so the user can quick identify the occurrence of overflow.

By projecting the water level along a channel to a chart, with grids, in the Channel Side View and view the changes more precisely.

By focusing on the changes of one data point. Exact values of water levels, velocities and flow quantities will be displayed for the selected data point.

To be continue......

See Also

The Simulator


Navigation Navigation Index

Navigation
Navigation Index

This section contains details about navigation in Visflood's main 3D view.

One of Visflood's characteristics is that most operations are done in 3D directly. Therefore, users cannot avoid from navigating in 3D. For beginners, 3D navigation may be quite confusing. To reduce the difficulties, Visflood has some tools to help users to navigate painlessly.

Navigation Modes are different combinations of keyboard and mouse operations to navigate through the environment. There are six different modes.

Smooth View Transfer animates the transfer between different view so to allow user to have a sense of relative position and direction between different viewpoints.

Bring To Center Key is a key to quickly bring an object to the center of the screen.

Quick Jump Panel is a panel that allows for quick change of viewpoints to some pre-defined positions and directions. Those pre-defined viewpoints include custom views and channel entity views.

Custom Views let users define viewpoints of their own for quick later reference. Custom views are stored in the data file.

See Also

How to section


Navigation 3D Navigation Modes

Navigation
Navigation Modes

Unlike 2D navigation which can be carried out using mouse rather easily, 3D navigation are less easily achieved by using mouse. Since keyboard and mouse are the only standard input devices for general PCs, different navigation modes are defined to let user navigating through 3D space using mouse. There are six 3D navigation modes in Visflood. Some of these modes serve as a complement to the lack of freedom of mouse. Some others are to enhance the ease of use of the interface.

Since navigation modes switches so frequently, there is no menu item nor tool bar button for switching between modes. It is determined simply by different combinations of key press and mouse clicks.

Navigation Modes

  • Walk Mode
  • Elevate Mode
  • Slide Mode
  • Twist Mode
  • Horizontal Walk Mode
  • Rotate About Mode

See Also

How to section


Navigation Walk Modes

Navigation
Walk Mode

Walk mode is the most common type of 3D navigation. It is used in almost all virtual reality walkthrough systems. This mode is to model walking on the ground motion.

Operations

Click the left mouse button to initiate this mode. Drag the mouse without releasing the left button moves the viewpoint. The dragging direction determines how the viewpoint is move. A white diamond shape is displayed to indicated the down-clicking position so the user knows how far the mouse pointer is dragged.

Drag the mouse upward moves the viewpoint forward. Drag the mouse upward and hold moves the viewpoint forward at a constant speed. The moving speed is directly proportional to the amount of the vertical displacement of the mouse pointer.

Drag the mouse downward moves the viewpoint backward. Drag the mouse downward and hold moves the viewpoint backward at a constant speed. The moving speed is directly proportional to the amount of the vertical displacement of the mouse pointer.

Drag the mouse to left or right adds a left or right component to the move so the view direction changes. Drag the mouse to upper left moves the viewpoint forward as well as turning left slowly. The turning angular speed is directly proportional to the amount of horizontal displacement. Drag the mouse to upper left and hold makes the viewpoint moves in a circular path. The size of the circle depends on the ratio of vertical displacement to horizontal displacement.

Walking Plane

Note that in walk mode, the viewpoint will lie on the plane that is perpendicular to the view plane and horizontal to the viewer. This is called the Walking Plane. The following figure shows some possible forward paths (in red). The grid shows the walking plane.

Walk Mode. The black dot and arrow is the current viewpoint and line of sight vector. The darker plane is the view plane. The red arrows are some possible forward paths. The grid is the walking plane.

Care must be taken using this mode when the users' line of sight is no longer parallel to the ground because the walking plane intersects the ground plane. It is quite easy to result in views like that shown in the following. The twist mode is used to rectify the situation.

A twisted view.

See Also

Navigation Modes


Navigation Elevate Mode

Navigation
Elevate Mode

In Elevate Mode, viewpoint position does not move. Only the looking direction changes. This mode is to model head turning motion. It is useful for examining the surrounding and setting new walking plane. A white diamond shape is displayed to indicated the down-clicking position so the user knows how far the mouse pointer is dragged.

Operations

Click the right mouse button to initiate this mode. Drag the mouse without releasing the right button changes the viewing direction. The viewing direction change follows the mouse direction.

Drag the mouse to one direction move the view direction to follow the mouse. Drag the mouse to one direction and hold moves the view to that direction and continue to rotate at a constant speed. The angular rotation speed is directly proportional the amount of displacement of the mouse. If the user hold the button long enough, the view direction returns to the original one after a revolution.

Elevate Mode. The black dot and arrow is the current viewpoint and line of sight vector. The darker plane is the view plane. The red dot indicates the view direction. The red arrows shows some possible changes in view direction.

Note that change of view direction changes the walking plane. Subsequent walk could result in un-desired view position.

See Also

Navigation Modes

Walk Mode


Navigation Slide Mode

Navigation
Slide Mode

In slide mode, view direction does not change. View position does not move forward nor backward. It can only slide on the plane parallel to the view plane. This mode is useful when the target object is in front of the viewpoint but is slightly misaligned with the center of view. By simply sliding the viewpoint to match the target object without going forward is most handy. Otherwise, the viewpoint need to turn 90¢X, more forward a bit then turn 90¢X again. A white diamond shape is displayed to indicated the down-clicking position so the user knows how far the mouse pointer is dragged.

Operations

With the Shift key down, click the left mouse button to initiate this mode. Drag the mouse without releasing the left button changes the view position.

Drag the mouse to one direction move the view position to follow the mouse. Drag the mouse to one direction and hold moves the view position to that direction at a constant speed. The moving speed is directly proportional the amount of displacement of the mouse.

Slide Mode. The black dot and arrow is the current viewpoint and line of sight vector. The darker plane is the view plane. The red arrows are some possible paths. The grid is the plane parallel to the view plane.

See Also

Navigation Modes

Walk Mode


Navigation Twist Mode

Navigation
Twist Mode

When the walking plane is not parallel to the ground and intersects the ground plane. Simple walking can easily result in views like that shown in the following figure, which is quite confusing. The twist mode is used to rectify the situation. It is also used as a mean to adjust the third degree of freedom of rotation (The other two is handled in elevate mode).

A twisted view.

In twist mode, both view position and direction do not change. It only allows the view to be rotated about the line of sight so to make the ground plane, or horizon, turns horizontal to the viewer again. A white diamond shape is displayed to indicated the down-clicking position so the user knows how far the mouse pointer is dragged.

Operations

With the Shift key down, click the right mouse button to initiate this mode. Drag the mouse without releasing the right button twists the view.

Drag the mouse to the left twists the view clockwise. Drag the mouse to the left and hold twist the view clockwise continuously. The rotation speed is directly proportional to amount of horizontal mouse displacement.

Drag the mouse to the right twists the view counter-clockwise. Drag the mouse to the left and hold twist the view counter-clockwise continuously. The rotation speed is directly proportional to amount of horizontal mouse displacement.

Twist Mode. The black dot and arrow is the current viewpoint and line of sight vector. The darker plane is the view plane. View position and direction do not change. The view plane rotates about the line of sight vector.

Example

Before twist.

After twist.

See Also

Navigation Modes

Walk Mode


Navigation Horizontal Walk Mode

Navigation
Horizontal Walk Mode

One common way to examine channel network is to hover above at a distance and look down. Horizontal walk is to a special navigation mode for this purpose. It is very similar to walk mode. The only difference is the plane on which the viewpoint moves. In simple walk mode the viewpoint moves on the walking plane, which may intersect the ground and bring the user up or down as the user walks. On the other hand, in horizontal walk mode, the plane is always parallel to the ground so the vertical distance from the ground does not change. The angle of elevation or depression is also kept constant during the walk.

Operations

With the Ctrl key down, click the left mouse button to initiate this mode. Drag the mouse without releasing the left button to horizontal walk.

Drag the mouse upward moves the viewpoint forward. Drag the mouse upward and hold moves the viewpoint forward at a constant speed. The moving speed is directly proportional to the amount of the vertical displacement of the mouse pointer.

Drag the mouse downward moves the viewpoint backward. Drag the mouse downward and hold moves the viewpoint backward at a constant speed. The moving speed is directly proportional to the amount of the vertical displacement of the mouse pointer.

Drag the mouse to left or right adds a left or right component to the move so the view direction changes. Drag the mouse to upper left moves the viewpoint forward as well as turning left slowly. The turning angular speed is directly proportional to the amount of horizontal displacement. Drag the mouse to upper left and hold makes the viewpoint moves in a circular path. The size of the circle depends on the ratio of vertical displacement to horizontal displacement.

Horizontal Walk. The black dot and arrow is the current viewpoint and line of sight vector. In this case, the viewer is looking down. The dark plane is the view plane. The light grid is the walking plane. The dark grid is the horizontal plane. The yellow line is the line of intersection between the two planes. The red arrows are some possible forward paths. Note that the paths lie on the horizontal plane instead of the walking plane.

See Also

Navigation Modes

Walk Mode


Navigation Rotate About Mode

Navigation
Rotate About Mode

Sometimes it is useful to closely examine an object at different directions. Rotate about mode allows user to selected an object as the center point and rotate the viewpoint about it. To initiate, an object must be selected. It is better to bring the selected object to the center of the screen using the Bring To Center Key before using this mode because the selected object may not be visible. The selected object will stay at the same position of the screen during rotate because it is the center of rotation. The radius of rotation is the distance between the viewpoint and the selected object.

Operations

To initiate this mode, selected an object. The object can be a joint, an edge, a data point, a flow pointer or a supporting object. If more than one object is selected, this mode cannot be initiated.

With the Ctrl key down, right click the right mouse button to initiate this mode. Drag the mouse with releasing the button to rotate.

Drag the mouse to one direction rotates the viewpoint about the center point to follow the mouse so the scene looks rotating to the opposite direction. Drag the mouse and hold rotates the view at a constant speed. The rotation speed is directly proportional to the amount of the displacement of the mouse pointer.

Rotate About Mode. The black dots and arrows are the view positions and line of sight vectors. The darker planes are the view planes. The view position lies on the big circle. The red arrows are some possible paths of the viewpoint.

See Also

Navigation Modes


Navigation Smooth View Transfer

Navigation
Smooth View Transfer

In Visflood, all quick jumps between viewpoints are animated so to let the user to have a sense of relative position and direction between the viewpoints. The animation extends across the period of 30 frames, or about one second. To make the animation look natural, acceleration and deceleration is modeled at the begin and end frames to reduce sudden move feeling. The positions of the viewpoint during animation is sampled on the line connecting the initial and final positions. The orientations is interpolated using a quaternion based model.

Smooth transfer between two views. The black dot are the view positions. The black arrows are the line of sight vectors. The red arrows are the head up vectors. The green arrows are the right hand vectors. The samples near the end points are denser to model the acceleration and deceleration effects.

See Also

Quick Jump Panel

Custom Views


Navigation Bring To Center Key

Navigation
Bring To Center Key

A frequent action in navigation is to bring an object to the center of the screen. Besides using the Quick Jump Panel, there is a quick key known as Bring To Center Key that will bring the selected object to the center of the 3D view. The key is [`], that is the one below the Escape key and above the Tab key. The viewpoint will rotate to make the selected object to be center of the 3D view. The distance between the viewpoint and the selected object does not change.

Operations

To bring an object to the center, selected the object. The object can be a joint, an edge, a data point, a flow pointer or a supporting object. Press [`]. If more than one object is selected when the key is pressed, nothing will happen.

See Also

Quick Jump Panel

Smooth View Transfer


Navigation Quick Jump Panel

Navigation
Quick Jump Panel

Quick Jump Panel is a panel to the left of the main 3D view. It's purpose is to allow users to quickly locate objects in 3D and jump to pre-defined viewpoints. The quick jump panel display a tree structure that contains all channel entities, three standard viewpoints and all other custom viewpoints. The leave items of the tree are jumpable points. Users can double click them to smooth transfer the viewpoint in main 3D view to some target points.

The Quick Jump Panel

Related Actions

For Channel Entities, the viewpoint will transfer to the points that the clicked entities be the center of the main 3D view. It will also move the viewpoint closer to the entities. Since there is no well defined viewpoint for channel entities, Visflood will find a suitable target viewpoint based on the current viewpoint so the target viewpoints may be different every time it is clicked.

For items in the Custom Views sub-tree, the viewpoint transfers to the exact pre-defined viewpoints every time they are clicked.

See Also

Custom Views

Smooth View Transfer


Navigation Custom Views

Navigation
Custom Views

Custom Views are user-defined view points. Users can add as many custom view points as they like to each project and the those view points will be stored in the file. This feature allow users to record important regions of the environment.

Custom View sub-tree of Quick Jump Panel.

Related Actions

To add a custom view, move to the desired view points. Click [image] or click View -> New Custom View, type a unique name for the view point in the input box. The name of the new custom view will be added to the Custom Views sub-tree of the Quick Jump Panel.

To remove a custom view, select the name of the custom view, press Del.

To jump to a custom view, double click the name of the desired view.

See Also

How to section


Visflood References References

References
Reference Index

This section contains details of all functions of Visflood, quick keys, toolbar icons explanation, theoretical background etc.

Backgrounds

  • The Simulator
  • Visflood Work Flow
  • Limitations
  • Operation Modes

Channel Entities

  • Joints
  • Edges
  • Data Points
  • Flows
  • Supporting Objects
  • Moving Objects

Navigation Modes

  • Walk Mode
  • Elevation Mode
  • Slide Mode
  • Twist Mode
  • Horizontal Walk Mode
  • Rotate About Mode
  • Bring To Center Key
  • Smooth View Transfer

Interface Elements

  • Menu Bar
  • Standard Toolbar
  • Construction Bar
  • Animation Control Bar
  • Channel Side View
  • Status Bar

Input Dialogs

  • Project Properties Dialog
  • Edge Properties Dialog
  • Flow Properties Dialog

Miscellaneous

  • Menu Items/Toolbar Buttons/Quick Keys Mapping
  • Data Files
  • Folders
  • System Requirements
  • Features
  • Friendly Time
  • Walking Plane

See Also

How to section


References The Simulator

References
The Simulator

Visflood's simulator (vfsim.exe) is separated from the main executable. In every simulation, Visflood will prepare a data files for the simulator and the simulator will produce an output file for Visflood to visualize.

Theory

Governing Equations
The simulator models the one-dimensional, unsteady, free-surface flow in open channels which is governed by the St Venant equations:

where x is the distance along the channel (m) and t is time (s), Q(x, t) is the discharge (m3/s), z(x, t) is the free surface elevation above datum (i.e. water level) (m), bs(x, z, t) is the free surface width (m), A(x, z, t) is the wetted area (m2), q is the lateral inflow (+) (or outflow (-)) per unit x-length (m2/s), qw is the side weir discharge per unit weir length, u is longitudinal velocity along a channel (m/s), g is the acceleration due to gravity (m/s2), and K is the conveyance factor: K = Ah2/3/n, where n is Manning's bottom roughness coefficient, and h is the water depth (m). The first equation represents the conservation of mass relating the unsteady water level changes to spatial variation of discharge flow, while the second equation is the longitudinal momentum equation consisting a balance of unsteady change in flow, convective acceleration, pressure gradient, bottom friction and side weir discharge terms (in order of appearance). The simulator solves these two equations using the four-point Preissmann scheme, and is capable of handling subcritical/supercritical, and free surface/surcharged flow conditions and transitions.

Implicit Finite Difference Scheme
The above pair of nonlinear hyperbolic partial differential equations are solved numerically by an efficient and robust finite difference method. The Preissmann four-point implicit scheme is chosen to discretize the governing equations; the scheme allows non-uniform grids and computes discharge Q and elevation z at the same point. This scheme applies the following approximation:

where f(x, t) is any variable of governing equations (e.g. z, Q, A), subscript j is the jth computational point, n = time level with tn = n∆t, tn+1 = (n+1)∆t. £c is a time weighting coefficient (0.5 ≤ £c < 1.0). This scheme is unconditionally stable; £c = 0.6 is used in the computations. Using the above approximations as general operations, and after linearization, the continuity and momentum equations can be written as a system of penta-diagonal linear equations. Together with the upstream inflow and downstream level boundary conditions, a system of 2N algebraic equations in 2N unknowns can be obtained for a grid with N nodes. The unknown levels and discharges/velocities at each grid point at each time can then be solved using the Thomas algorithm.

Supercritical and Pressurized Flow
In urban drainage systems, it is not uncommon to encounter supercritical and transitional flows. As the way the boundary conditions are enforced is different for sub- and super-critical reaches, different algorithmic structures are required. The problem of combining different algorithmic structure can be avoided altogether through a technique described by Havno and Brorsen (1986), whereby the influence of the convective terms in the momentum equation is proportionally reduced to zero as the flow approaches critical flow (Fr = 1). It is then possible to maintain the double-sweep algorithmic structure for subcritical flow characteristic over the whole domain of solution, including subdomains of supercritical slows. The method is adopted because the magnitude of convective acceleration term in supercritical drainage flows is usually an order of magnitude less than the friction and gravity terms. With this technique, the detailed shape of the hydraulic jumps will not be simulated; however, the jump's general location can be determined by an examination of Froude numbers (Fr).

The pressurised flow in closed conduits is simulated by the governing equations on the basis of the so called ¡§Preissmann slot¡¨ idea (Preissmann 1961; Cunge and Wegner 1964). Using this technique, any closed conduit is imagined to have a fictitious narrow slot along its entire length and extending vertically upward from the top of conduit (Abbot and Cunge 1982). This kind of Preissmann slot allows the solution of the pressurized flow using the Saint-Venant equations; a smooth transition between free surface and surcharged conditions is thus enabled. Conservation of mass and energy (including local energy losses) is maintained at a branch junction. Extensive computations against analytical test cases have confirmed the validity of the simulator.

References
Abbott, M.B. and Cunge, J.A. Engineering Applications of Computational Hydraulics, Vol.1, Pitman, 1982.
Cunge, J.A. and Wegner, M. ¡§Integration numerique des equations d'ecoulement de Barre de St-Venant par un schema implicite de differences finies.¡¨, La Houille Blanche, No. 1, 33-39, 1964.
Havno, K. and Brorsen, M. ¡§A general mathematical modelling system for flood forecasting and flood control¡¨, Proceeding international Conference on Hydraulics of Floods and Flood Control, Cambridge, UK; BHRA, Stevenage, 1986.
Preissmann, A. and Cunge, J.A. ¡§Calcul des intumescences sur machines electroniques¡¨', Proceeding 9th Congress IAHR, Dubrovnik, 656-664, 1961.

See Also

Reference Index

How-to Section

Visflood Data Files


References Limitations

References
Limitations

The followings are the limitations of current version of Visflood:

  • Only simulate tree like channels with one out-flow point. No loop is allowed.
  • No import facility of any kind. Channels must be defined inside Visflood.

See Also

Reference Index


References Operation Modes

References
Operation Modes

There are two operation modes in Visflood: Edit Mode and Visualize Mode. To switch between the two mode, click [image] , click View -> Edit Mode or press E.

Edit Mode

This is the default mode. It is used in constructing the channel. Channel parameters and boundary conditions can only be changed in this mode. In this mode, channel entities such as joints, edges and flow pointers are displayed for editing purpose. The channel itself and all supporting object are displayed in wire-frame by default.

Edit Mode

Visualize Mode

Visualize mode is used to visualize water flow inside channel. All channel entities except data points are hidden. Only the channel, the supporting objects and the water surface is shown. All objects in visualize mode are shaded.

Visualize Mode

See Also

Reference Index


References Joint

References
Joint

Joint is the most basic entity in channel construction. They from the endpoints of edges. Their absolute positions are not important because the simulation will only use relative distances. In the main 3D view, joints are represented by rotating red crosses like the figure shown below. Joints are selectable. When selected, the joint will be surrounded by a light wired box and an information box will appear to show the information about the selected joint. The user can selected more than one joint.

A joint

A selected joint

Joints can be considered as junctions in a channel network except that they must also be placed in in-flow and out-flow points. There are four types of joints, namely, In-flow, Out-flow, Junction and Standalone. Visflood can identify the nature of a joint based on how it is connected. No user settings is available or needed for joints. Note that joint is only needed when three branches joint together. Do not add joint for bent channel.

4 types of joints

Related Actions

To add joints, click [image] on the Construction Bar or click Construct -> Add Joints in the main menu.

To remove a joint, select it and click [image] or click Construct -> Delete or press the Del key.

To remove unconnected joints from the environment, click [image] or click Construction Bar -> Clear Unwanted Objects. All unconnected joints will be removed.

See Also

Reference Index

Defining Channel Parameters


References Edge

References
Edge

Edges define the topology of the channel network. They connect joints together and they contain data points. When edges are just created, their length is set as the distance between the joints. There is no need to specify the total length of the edges. The final lengths of the edges will be determined by the data points they contain. In the main 3D view, edges are represented by rotating blue rods connecting joints. Edges are selectable. When selected, the edge will be surrounded by a light wired box and an information box will appear to show the information about the selected edge. The user can selected more than one edge.

An edge

A selected edge

When an edge is created, it affects the nature of the connected joints. From the above figure, we can see that the joints at one end of the edge is converted to an in-flow point (beige circle) and the other is converted to an out-flow point (blue circle). The white wire-framed object about the edge is the channel corresponding to the edge with all other default channel parameters. In edit mode, the user can see the shaded channel by pressing and holding the spacebar. The following figure shows the effect.

Channel parameters such as channel widths and invert levels of the edge can be changed by using the Edge Properties Dialog. In fact, channel parameters do not associate with edge directly. Although the user needs to use the Edge Properties Dialog to change them, the parameters are related to data points.

An edge with shaded channel. The outside of the channel is light blue and the inside is brown.

Edges can be considered as channel branches. Edges in Visflood can be bent. The following figure shows a bent edge. Therefore there is no need to create separate edges for a bent channel.

A bent edge

When two adjacent edges are selected, the angle between is display as shown below.

Angle between 2 adjacent edges.

Related Actions

To add an edge, select two or more joints, click [image] or click the Construct -> Join Joints or Press J to create one or more edges.

To reverse edge direction, select one or more edges, click [image] or click Construct -> Reverse Path.

To set the angle be two adjacent edges, select the two edges until that angle is displayed. Click [image] or click Construct -> Edge Angle or press A to open the Edge Angle Dialog. Input the new angle in degree will change the angle. The first selected edge will be the fixed edge. The other edges and all other entities connected through it will be rotated to make the new angle match the one specified.

To edit channel parameters of an edge, double click that edge or selected the edge, click [image] or click Construct -> Edge Properties to open the Edge Properties Dialog.

To remove an edge, select it and click [image] or click Construct -> Delete or press the Del key.

See Also

Reference Index

Defining Channel Parameters

Edge Properties Dialog


References Data Point

References
Data Point

Data points contains the actual channel parameters used in simulation. They are contained in edges. When an edge is created, two data points will be added automatically at both ends of the edge. Those two data points cannot be removed because there must be two points in an edge. By default, data points' positions are not revealed in the main 3D view. To show their positions, click [image]. Each data point has its unique index. To show their indices, click [image] . Data points are represented by inverted green rotating hexagonal pyramids located just about the edge. Data points are selectable. When selected, the pyramid is surrounded by a light wire frame and an information box will appear to show the information about the selected data point. The user can selected only one data point at a time.

A selected data point and it's index, 3 in this case.

Two initial data point for every edge and their unique index.

There are 10 channel parameters for every data points. They defines the cross section and the relative distance and orientation to the previous point. The 10 parameters are:

Cross section of channel.

  • Delta-X: the distance, in meter, from the previous point. This parameter is not defined for the first data point of each edge.
  • Invert Level: the level, in mdp, of the bottom of the channel point.
  • Bottom Width: width, in meter, of the channel point.
  • Channel Height: channel height, in meter, of the channel point.
  • Side Angle: slant wall's angle, in degree, to horizontal. 90 deg. for rectangular channel.
  • Flooding Plain: width, in meter, of the flooding plain.
  • Flooding Plain Side Angle: flooding plain slant wall's angle, in degree, to horizontal.
  • Turn Angle: angle, in degree, of turning at the channel point. Straight channel has all turn angles of 0 deg.
  • Manning's Coefficient: Manning's coefficient of the channel point.
  • Preissmann Slot: Preissmann Slot of the channel point.

After channel parameters are changed, the edge length may change. When that happens, the tail joint of the edges and all entities connected through it will be moved or rotated according to the changes in the parameters. The head joint, on the other hand, will be fixed. Visflood will always maintain the correct relative positions between edges and joints.

Related Actions

To add/edit/remove data points, open the Edge Properties Dialog by double clicking that edge or by selecting the edge, then clicking [image] . There is no inteactive changing of data point in this version of Visflood.

Index Numbering

Each data point has its unique index. Within each edge, the data points indices are continuous and increase along the edge direction. However, the data point index values may not be near for adjacent edges. The index is generated in a pre-order tree traversal manner beginning from the out-flow point. That's means the output point will always has the biggest index. Index 1 will always be the first in-flow point it encounters in the traversal. The following figure show how the traversal is done.

Pre-order traversal of the channel.

Note that when the channel is incomplete such as channel dis-jount or out-flow point is a junction, all data point indices will be set to zero.

See Also

Reference Index

Defining Channel Parameters

Edge Properties Dialog


References Flow

References
Flow

Flow entities define the boundary conditions for simulation. They do not affect the topology or the shape of the channel in any way but they must attach to either in-flow or out-flow points of the channel. They are represented by rotating star shape pyramids pointing to in/out-flow points. The colors of the flow pointer depends on the its direction. In-flow is beige, out-flow is blue. Flow entities are selectable. When selected, it will be surrounded by a light wire frame and an information box will appear to show the information about the selected flow. The user can selected only one flow at a time.

An in-flow pointer.

A selected in-flow pointer.

Before adding flow entities, make sure Project Properties is correctly set because some properties like total simulation time make impose some requirements on the boundary conditions. To change project properties, click [image] or click Construct -> Project Properties or press Ctrl-P to open the Project Properties Dialog.

There are 2 types of in-flow pointers: water quantity and harmonics water level. For water quantity in-flow, users must specify in-flow water quantity, in m3/s, for every values for the whole period of simulation. The number of values required depends on the total in/out-flow time and interval settings in Project Properties Dialog. For harmonics water level, users only need to specify the key parameters for the harmonic functions. The unit is in mdp. For out-flow, there is only one type: water level. Users need to specify the water level, in mdp, for every value for the whole period of simulation.

For simulation to begin, the out-flow point must associate with a out-flow pointer and usually all in-flow points should associate with in-flow pointers. The only exception is the case for dead-end weir that Visflood will assume input of all zero.

Related Actions

To add flow pointer, select an in-flow point or an out-flow point. Click [image] or click Construct -> Add In/Out Flow or press F. An in/out-flow pointer will be added and selected and the Flow Properties Dialog will be opened automatically. Visflood will determine the direction and type of the flow pointer.

To open the Flow Properties Dialog, either double click the flow pointer, or selected it and click [image] or click Construct -> Flow Properties.

To re-assign standalone flow pointers to another in/out flow, select a suitable joint and the flow, click [image] or click Construct -> Assign Flow.

To remove the flow entity, select it and click [image] or click Construct -> Delete or press the Del key.

See Also

Reference Index

Defining Channel Parameters

Flow Properties Dialog

Project Properties Dialog


References Standard Toolbar

References
Standard Toolbar

The Standard Toolbar contains the quick buttons for general operations such as file operations, simulation control, project properties and toggle display modes.

The Standard Toolbar

New Document
Open Document
Save Document
Switch between Edit Mode and Visualize Mode
Open Project Properties Dialog
Begin simulation
Toggle display of hydrographs
Single 3D display
Dual 3D display
Quad 3D display
Add new custom view
Toggle clip plane
Toggle circular X-Ray region
Toggle polygonal X-Ray region
Add new polygonal X-Rat region

See Also

Reference Index

Menu Items/Toolbar Buttons/Quick Keys Mapping

X-Ray Region

Clip Plane

Custom Views


References Construction Bar

References
Construction Bar

The Construction Bar contains the quick buttons for constructing channel networks.

The Construction Bar

Add 10 joints
Join joints
Adjust angle between 2 adjacent edges
Open Edge Properties Dialog for the selected edge
Reverse direction of the selected edges
Move the whole channel
Rotate the whole channel about the selected object
Delete all selected objects
Remove all un-connected joints
Add flow object
Re-assign the selected flow to another in/out-flow point
Open the Flow Properties Dialog
Toggle display of channel over the edge in edit mode
Toggle display of data points
Toggle display of data point indices
Add supporting object
Open Supporting Object Properties Dialog
Toggle display of object information box
Add moving object

See Also

Reference Index

Menu Items/Toolbar Buttons/Quick Keys Mapping

Joints

Edges

Data Points

Flows


References Animation Control Bar

References
Animation Control Bar

The Construction Bar contains the quick buttons for constructing channel networks.

The Animation Control Bar

Start playing
Pause playing
Stop playing and set time index to 0
Go backward by 1 frame
Go forward by 1 frame
Toggle loop playing
Toggle display of data points in visualize mode
Toggle display of supporting objects
Toggle display of ground
Toggle display of channel cover
Double current playing speed
Half current playing speed

The slider is the time line. The pointer mark the current time index. Adjust the pointer to jump directly to a desired time index.

See Also

Reference Index

Menu Items/Toolbar Buttons/Quick Keys Mapping

Visualization


References Channel Side View

References
Channel Side View

Channel Side View is a 2D projection of a channel branch or a set of channel branches. It is used to visualized water level changes in the channel without any perspective distortion.

Channel Side View with labels.

The Channel Side View will display only when a correct set of edges are selected. The selected edges must be connected and they must form a single path. That is, no side branch. Otherwise, an error message will be shown.

Displayed height and length of the channel in the view is not in the right ratio. The channel is stretched to mapped the entire view. Usually height is highly stretched to amplify water level change. The edge lengths and distances between data points are, however, in the right ratio.

The height range adapts itself to fit the selected edges. Height labels and gridlines will be displayed at key values. The number of displayed height labels depends on the height of the Channel Side View. If the labels get too crowded as the windows resizes, some will be hidden.

See Also

Reference Index

Menu Items/Toolbar Buttons/Quick Keys Mapping

Visualization


References Status Bar

References
Status Bar

The Status Bar displays some information about navigation, mode, and current time index

The Status Bar

The status bar is divided in four panes. from left to right they are:

  1. Current Operation Mode Indicator, which displays either "Edit Mode" or "Visualize" to indicate which mode Visflood is in.
  2. Time Index, which displays the current time index, in hh:mm:ss format, of visualization result.
  3. Animation speed factor compared with real time. For instance, 120X means animation playing at 120 times of the real event. Depends on the length of the animation, it ranges from a few times to thousands times.
  4. General Status Indicator displays general information about the current action and error messages. It shows the current navigation mode when the user is navigating through the 3D view. If nothing special is happening, it displays "Ready".

See Also

Reference Index

Operation Modes

Animation Control

Navigation Modes


References Project Properties Dialog

References
Project Properties Dialog

For every new project, settings like simulation period, step size, input data time etc. must be first specified to avoid complication in later modifications. Those settings are grouped and can be accessed through the Project Properties Dialog. To open the Project Properties Dialog, click [image] or click Construct -> Project Properties or press Ctrl-P. The following figure shows the dialog.

Project Properties Dialog
(Click to Enlarge)

Title and Descriptions fields let the users to add some descriptions to the project.

In/Out-Flow Data Settings define the data timing for the boundary conditions (Flow). Total Time is the time represented by the data in flow. Interval represents the time interval between data points. The total number of values required in defining flow is therefore, Total Time / Interval +1. Note that Total Time must be longer than or equal to the total simulation time. i.e. Cycles x Cycle Length in Simulation Settings. If the settings in this section is changed when OK is clicked, the number of values in boundary conditions (Flow) will change accordingly. If the number of value increase, zero will be added to the end, otherwise, all excess values will be trimmed.

Simulation Settings control how the simulation is carried out. Cycles means how many times the simulation are done. Cycle Length mean the period for one cycle. Interval means how frequent it is iterated. The total number of iteration steps for one cycle is therefore Cycle Length / Interval. Output Data Interval means how the output is sampled from the iteration steps. It cannot be shorter than Interval. Only the last cycle's iterations will be sampled for output so the number of output steps will be equal to Cycle Length / Output Data Interval + 1. Initial Level is the initial absolute water level, in mdp, for every data points of the channel. It must be above the highest invert level of all points. Initial Velocity is the initial flow velocity of every point. Time weight is the time weight.

Temporary Files Paths specify where of simulation data files, output and all other temporary files related to the project will be stored. If it is a relative path, it is relative to where the .FLD file is stored. ./ means they are stored in the same path as the .FLD files. Absolute path is also accepted but care must be taken because projects with the same file name will have conflicting temporary files, which may lead to errors.

All time fields, except Interval in Simulation Settings, in this dialog box accept Friendly Time.

See Also

Reference Index

The Simulator

Flow

Begin Simulation


References Edge Properties Dialog

References
Edge Properties Dialog

Edge Properties Dialog is used for channel parameter entry. Since an edge does not have any of its own parameter, the dialog shows the attributes of data points contains in that edge. The data is display in table structure for easy entry. Each row in the list represent a data point. Initially, there are only two data points located at both ends of the edge and hence two rows. Users need to add extra rows between the initial two rows to add more data points.

Edge Properties Dialog
(Click to Enlarge)

In this dialog box, users can add/edit/remove data points of an edge. There are 10 channel parameters for every data points. They defines the cross section and the relative distance and orientation to the previous point. The 10 parameters are:

Cross section of channel.

  • Delta-X: the distance, in meter, from the previous point. This parameter is not defined for the first data point of each edge.
  • Invert Level: the level, in mdp, of the bottom of the channel point.
  • Bottom Width: width, in meter, of the channel point.
  • Channel Height: channel height, in meter, of the channel point.
  • Side Angle: slant wall's angle, in degree, to horizontal. 90 deg. for rectangular channel.
  • Flooding Plain: width, in meter, of the flooding plain.
  • Flooding Plain Side Angle: flooding plain slant wall's angle, in degree, to horizontal.
  • Turn Angle: angle, in degree, of turning at the channel point. Straight channel has all turn angles of 0 deg.
  • Manning's Coefficient: Manning's coefficient of the channel point.
  • Preissmann Slot: Preissmann Slot of the channel point.

To add rows, select a cell that will be located just above the added row. Click Insert Row and enter the number of rows to add. New rows are added just below the current selection and push all row originally below the selected cell down. No row can be added above the top row that makes the top row fixed because it always represent the first data point, which must be there.

To remove a row are a range of rows, select it by clicking the row number at the left, or drag to select a range. Click Delete Rows. Note that the first row cannot be removed and there must be at least two rows in the table.

To edit channel parameters, click the cell. The cell being clicked will change to an edit box. Type the new value (without unit) inside the edit box to update. Note that the two cells marked N/A is not editable due to its relative nature which does not make sense for the first data point.

To speedup input process, three group-update buttons, Constant, From Text and Interpolate, are provided. To use them, select a range of cells in a column first.

  • Constant: Set the selected cells to the same value.
  • From Text: Copy a sequence of numbers separated by white space and paste to the input box. Visflood will count the number of numbers and will paste to the cell starting from the first selected cell. If there are more input numbers than selected cells, the number will continue to fill beyond the selection boundary. This is useful when data is already contained in some other file format such as Microsoft Excel. The current version, however, does not yet support direct cell to cell copy/paste operation.
  • Interpolate: Linearly interpolate between two numbers. Enter the two numbers in suitable cells. Select all the cells in between and click the Interpolate button. This is useful in editing Invert Levels.

See Also

Reference Index

Edges


References Flow Properties Dialog

References
Flow Properties Dialog

The Flow Properties Dialog is used to define the boundary conditions of an in-flow or an out-flow. Users can specify the type of boundary condition, i.e. flow quantity or water level. For out-flow, only water level can be used. The following is the Flow Properties Dialog.

Flow Properties Dialog
(Click to Enlarge)

Name is to make the flow easier to remember. The name will be that displayed in the information box of the flow pointer.

Data List is the place to input data. User can select one or a range of cells by clicking and draging the mouse inside the list. There are four ways to enter data in the list.

  • Direct typing: Key in the data one by one. Use the mouse or Up/Down arrow keys to navigate through the cells. This is suitable for small number of values or some manual update. Besides, select a range of cells and click Constant Value button and enter a number to all the selected cell to the same value.
  • From Text: Copy a sequence of numbers separated by white space and paste to the input box. Visflood will count the number of numbers and will paste to the cell starting from the first selected cell. If there are more input numbers than selected cells, the number will continue to fill beyond the selection boundary. This is useful when data is already contained in some other file format such as Microsoft Excel. The current version, however, does not yet support direct cell to cell copy/paste operation.
  • Interpolate: Linearly interpolate between two numbers. Enter the two numbers in suitable cells. Select all the cells in between and click the Interpolate button.
  • Harmonic functions: Use some key numbers to quickly enter harmonics into the data cells. Select a range of cells. Enter the offset, amplitude, cycle and phase to create a harmonics in the range.

The Chart shows the input values as a graph. It automatically adjusts its range to show all data points. The green vertical line or box shows the current selection. If the flow type is water level, a red line is shown to indicate the highest invert level of the channel network. The diagonal hash box shows the channel invert level and channel height of the in/out-flow point. Uncheck the Show Grid checkbox to hide the grid.

See Also

Reference Index

The Simulator

Flow

Begin Simulation


References Data Files

References
Data Files

The following table lists the data files created by Visflood and their function.

Extension | Function
FLD | Binary. Main data file. It stores all channel parameters, custom views and boundary conditions. Sufficient to carried out simulation.
CVW | ASCII. Optional custom view file. For sharing between projects.
DES | ASCII. Standalone description file.
MOB | ASCII. Moving object paths
INT | ASCII. Guide tour instruction file.
DAT | ASCII. Simulation input file
OUT | ASCII. Simulation output file

See Also

The Simulator


References Folders

References
Folders

The following lists the useful folders and their functions.

Application Folder\

Main executable, the simulator and all necessary libraries.

Application Folder\Tutorials

Tutorial project files, a folder per project.

See Also

Data Files


References Friendly Time

References
Friendly Time

In order to make time entry and display in Visflood more comprehensible, time quantities are usually accepted or displayed as Friendly Time string instead of just seconds.

The format of Friendly Time is [##h][##m][##[.##]s], where h, m and s represents hour, minute and second respectively. For example, users can specify 4 hours by typing 4h in any time field and Visflood will convert it into 14400 seconds internally. Visflood will also display a time quantity of 14400 seconds as "4h" in most situations.

The symbols h, m and s can be combined to give more precise time. There are certain rules:

  • If none of h, m and s is in the Friendly Time string, the single value is considered as seconds.
  • The symbols h, m and s must appear from left to right in correct order in order to be valid.
  • The numbers preceding symbols m and s cannot be larger than or equal to 60 if there is another symbol preceding them.
  • The number preceding the symbol s can accept decimal numbers but not every time field accept non-integral seconds.

Examples

Friendly Time String | Seconds
3h | 3600
1h24m | 5040
3m25s | 205
75m | 4500
170s | 170
1m3.50s | 63.5
2h3s | 7203
1h70m | Invalid

See Also

Reference Index

Project Properties Dialog

Flow Properties Dialog


References Walking Plane

References
Walking Plane

In walk mode, the viewpoint will lie on the plane that is perpendicular to the view plane and horizontal to the viewer. This is called the Walking Plane. The following figure shows the walking plane for a viewer. The walking plane changes with the view direction.

Walking Plane. The grid is the walking plane.

See Also

Walk Mode


Tutorial Index

Tutorial
Tutorial Index

This section contains step by step explanation of all the tutorial cases included in the package.

Tutorial 1: Straight Uniform Channel (Quick Start)
It is the simplest but most detailed tutorial. It explains step by step with diagrams to help you building a simple channel, defining boundary conditions and simulating water flow. Its aim is to help user to get familiar with Visflood. Subsequent tutorials aim at explaining the functionalities of Visflood so is less detailed.

Tutorial 2: Straight Channel with Varying Sections
This is similar to tutorial 1 except that the cross sections is widening down the stream. The channel is also descending uniformly from 0m to -2m along its 1000m length.

Tutorial 3: Channel with Varying Sections - Overflow
This tutorial demonstrates the overflow effect in Visflood. It models a river with boundary conditions specially set to make overflow (i.e. flooding) to occur for a short time. Slight modifications can prevent the overflow.

Tutorial 4: Y-Shaped Channel System
This tutorial introduces Y-shaped channel system.

Tutorial 5: A Straight Channel with Varying Section - Overflow and Covering
This tutorial demonstrates overflow on a straight channel. It also shows that sometime overflow can be prevented by simply covering the channel up.

See Also

Folders


Tutorial 1

Tutorial
Tutorial 1: Steady Flow in Straight Uniform Channel

This is the most detailed tutorial example. It explains, step by step with diagrams, how to build a simple channel, specifying the boundary conditions, simulating the flow in the channel and visualizing the results. It aims to help the users to get familiar with Visflood and some basic features of the steady flow in uniform straight open channel.

In this tutorial, we are going to work with a straight uniform channel of 1000m long.

Step 1 - Setup Project Properties

First thing to do is to define the simulation settings. We want to simulate 2 cycles; each cycle has a period of 4 hours (14400 seconds). It should be noted that only computed results of the last cycle could be visualized. Iteration interval (or simulation time step) is 30 seconds. Boundary condition data (in/out flow) must cover the entire simulation period, otherwise, they will be assumed to be zero. In this example, it is 8 hours (28800 seconds) and will be supplied at 2 minutes interval. Also, we can specify that the output to be sampled every 30 minutes and the initial water level is set at 3 metres above the datum.

The Project Properties Dialog
(Click to Enlarge)

Enter "Tutorial 1" in Title and "Steady Flow in Straight Uniform Channel" in Descriptions.

In In/Out-Flow Data Settings, enter 28800s or 8h in Total Time and 120s or 2m in Interval.

In Simulation Settings, enter 2 in Cycles, 14400s or 4h in Cycle Length, 30 in Interval, 1800s or 30m in Output Data Interval and 3 in Initial Level. Leave all other as default.

Step 2 - Construct the Channel

In this step, we are going to create a straight flat channel with ten 100m segments (11 data points). The channel is rectangular, 6m wide and 5.5m high. The invert level of every point is 0m above the datum. Manning's n coefficient for the entire channel is taken to be 0.015.

Generally the steps are like this: add joints, join joints, edit edges.

Click [image] for a few times to add some random joints (each click adds 10 joints).

Some random joints

Select two joints that mark the end points of the channel. the distance between the joints is not important at this moment. Click [image] or click Construct -> Join Joints to join the two selected joints.

Two selected joints.

An edge formed by joining two joints. The blue rod is the edge. The initial data points are shown as green pyramids above the 2 end joints.

When an edge is created, 2 data points will be added by default. By default, the positions of data points are not revealed. To show their positions, click [image]. Each data point has its unique index. To show their indices, click [image] . The wire frame structure above the edge is the channel represented by the edge. To hide it, click [image]. To temporarily show the shaded effect of the channel, press and hold Space.

To add data points to the edge, double click it or select it then click [image] to open the Edge Properties Dialog.

The Edge Properties Dialog for the new edge.
(Click to Enlarge)

Since we need a 10-segment edge with 11 data points, we need to add 9 data points. Click any cell in the top row then click Insert Row. Enter 9 in the input box. Nine rows will be added. For every point, enter 100 for Delta X, 0 for Invert Level, 6 for Bottom Width, 5.5 for Channel Height, 0 for Turn Angle for straight channel, 6 for Flooding Plain, 0.015 for Manning's coefficient, 5.5 for Pressure Height (set the pressure height to 100 to indicate a covered channel and to the channel height for open channel), and 90 for both Side Angle and Flooding Plain Side Angle.

To quickly enter the same value for a range of cells, select the range, click Set Value and enter the value in the input box.

The Edge Properties Dialog after data entry.
(Click to Enlarge)

After clicked OK, the edge will be updated. Since it is much longer now, a large portion of it is no longer visible. It is now time to navigate through the environment to look at the channel at different angles.

The modified edge. Only two segments of it is visible now.

To remove unconnected joints from the environment, click [image] or click Construction Bar -> Clear Unwanted Objects. All unconnected joints will be removed.

The created channel, shaded, looking at a closer position.

Step 3 - Set Boundary Conditions

In Visflood, the boundary conditions are defined in Flow entities. Flow entities must associate with inflow or outflow joints. For this example, there is one inflow joint and one outflow joint. We are going to define a constant water level at outflow and a constant discharge inflow. Let's define the outflow condition first.

To define the outflow condition, we must create a flow entities associate with the out joint. Inflow and outflow joints are identified by colored circle under them. Inflow joints are beige and outflow joint is blue. In this case we need to select the joint with a blue circle below it. Since the channel is quite long, it may take some time to walk to one end of the channel. We can use the Quick Jump Panel, to the left of the main 3D view, to locate the joint and bring it to us. Expend the Joints sub-tree in the Quick Jump Panel. Double click a joint to bring it to us. One of them is the outflow pointer.

Out-flow joint.

Select the joint and click [image] or click Construct -> Add Flow to add a flow entity. The Flow Properties Dialog will popup for data entry.

Flow Properties Dialog for out-flow.
(Click to Enlarge)

For outflow, only water level is accepted, so select Water Level. Initially, all the cells in the table are empty. We need to define a constant water level. Select all the cells in the table by clicking the unit label (Level m), then click Constant Value and enter 3 in the input box. When the values are entered, we see the chart to the right show a yellow horizontal line at 3.00 level and a shaded area indicating the range where the specified water levels should fall within.

For inflow, double click the other joint in Quick Jump Panel to fly to the inflow joint.

In-flow joint.

Select the joint and click [image] or click Construct -> Add Flow to add a flow entity. The Flow Properties Dialog will popup for data entry.

Flow Properties Dialog for in-flow.
(Click to Enlarge)

For inflow, we select Flow Quantity. To specify a constant inflow discharge, we select all cells by clicking the unit label (Flow m3/s), then click Constant Value and enter 40 in the input box. When the values are entered, we can see the chart to the right shows a straight yellow horizontal line at 40.00 level.

Step 4 - Simulation

To this point, all required information has been defined. Before simulation, save the file by clicking [image] or clicking File -> Save. Select a target folder and give that name tut1a.fld. Then click [image] to begin simulation. It will take a few seconds to simulate. During the simulation process, a dialog box showing the elapsed time will be displayed and no navigation is allowed.

Simulation Dialog
(Click to Enlarge)

If the simulation is successful, the dialog box will disappear. If any error occurs, a message box with an error number will be displayed.

Step 5 - Visualization

If simulation is successful, we can playback the simulation results of the last simulated cycle. In this case, a period of 4 hours. Click [image] to switch to Visualize Mode. In Visualize Mode, channel entities like joints, edges and flow pointers are hidden. The channel will be shaded instead of displayed as wire frames. Data point objects will change from pyramids to octahedrons. Navigation in Visualize Mode is same as in Edit Mode. Initially, it is in Stop condition. Water surface is displayed only during playback. To start playback, click [image] .

Channel in Visualize Mode.

Channel with water in Visualize Mode.

Besides watching the water surface going up and down, we can see changes for each data point more precisely by clicking a data point. An information box will be displayed to show its current water depth, velocity and flow quantity. Let's select data point #2, we can see that depth is 3.5237m, velocity is 1.8920 m/s and flow is 40.0 m3/s.

A selected data point in Visualize Mode.

Changes can be seen more easily using the hydrograph. Click [image] to display the hydrographs then select the desired data point by clicking the green octahedrons. The variation of water depth, velocity and flow quantity at the selected data point over the period will be shown on 3 charts.

Hydrographs, the green line shows the current time index.

To better visualize the changes along a channel, we can use the Channel Side View, which is located below the main 3D view. To display the side view for a channel, we need to select it first. Click [image] to switch to the Edit Mode, select the desired edge then the Channel Side View panel will display the chart of water level along the selected channels.

Channel Side View.

Step 6 - Make Some Changes

We have completed a cycle of Visflood work flow, Now we can make some changes to the project and see some features of the steady flow in the uniform straight open channel.

Channel width
Let's reduce the channel width by half to 3m and carry out the simulation again. From the Channel Side View panel, it can be seen that the water surface slope becomes steeper. At data point #2, the water depth is increased to 5.21023 and the velocity is increased to 2.5590 m/s.

Channel Side View for a narrower channel.

Then we increase the channel width to 12m. After the simulation, we can see that the water surface slope becomes very gentle, the water depth at data point #2 is lowered to 3.0981m and the velocity is reduced to 1.0758 m/s.

Channel Side View for a wider channel.

Bottom friction (Manning's n coefficient)
The bottom friction of the channel increases with increasing surface roughness, vegetation growth in the channel and channel irregularity, and is represented by the Manning's n coefficient in the model. The values of Manning's coefficient for some typical channels are listed below:

Manning's coefficient
Lined trowel finish concrete channel | 0.012
Lined float finish concrete channel | 0.015
Lined good excavated rock channel | 0.020
Natural earth channel with some stones and weed | 0.025
Natural gravel beds channel with boulders | 0.040

Let's re-set the channel width back to 6m, then change the Manning's coefficient from 0.015 to 0.025 and carry out the simulation again. Again, from the Channel Side View panel, we can see that the water surface slope become greater. At data point #2, water depth is increased to 4.1155m and the velocity is reduced to 1.6199 m/s.

Channel Side View for a channel with Manning's Coef. = 0.025

If we further increase the Manning's coefficient to 0.040, the simulation results show that the water surface is even steeper, the water depth at data point #2 rises to 5.0056m and the velocity is lowered to 1.3318 m/s. So, it can be seen that increasing bottom friction will slow down the channel flow and raise the water depth.

Channel Side View for a channel with Manning's Coef. = 0.04

Bottom slope
The bottom slope will also affect the flow in the open channel. Let's change the bottom slope to 0.001. Open the Edge Properties Dialog for the channel. We can change the channel to a descending one. Set the invert for the last data point to ¡V1m. Select invert levels for row 2 to 10. Click Interpolate to generate a ramp.

Maintaining the water level at the outflow point at 3m above datum, carry out the simulation. It can be seen that the water surface gradient is more gentle than the flat channel. At data point #2, the water depth is 3.3925m, so the water surface is 3.2925m above the datum which is lowered 3.5237m for the flat channel.

Channel Side View for a channel with bottom slope 0.001.

Increase the slope further to 0.002 by lowered the invert level at the outflow point ¡V2m.The water depth at data point #2 is further reduced to 3.3610m and the water surface is 3.1610m above the datum which is only 0.161m higher than the outflow end.

Channel Side View for a channel with bottom slope 0.002.

See Also

Visflood Work Flow

Define Channel Parameters

Define Boundary Conditions

Project Properties Dialog

Edge Properties Dialog

Flow Properties Dialog


Tutorial 2

Tutorial
Tutorial 2: Flow in Straight Channel that Change in Slope

This is the second tutorial example and we are still dealing with steady flow. Again, a uniform straight channel is constructed, but there is a change in slope in the middle section. By changing the channel parameters, different water surface profiles will be generated.

In this tutorial, we are going to work with a straight uniform channel of 2000m long.

Step 1 - Setup Project Properties

First we will the simulation settings. Enter ¡§Tutorial 2¡¨ as the Title and ¡§Flow in straight channel that change in slope¡¨ as the Descriptions. We are going to simulate 3 cycles; the period of each cycle is 4 hours (14400 seconds). Iteration interval (or simulation time step) is 20 seconds. Boundary condition data (in/out flow) must cover the entire simulation period which is 12 hours (43200 seconds) and will be supplied at 2 minutes interval. Also, we will specify that the output to be sampled every 10 minutes and the initial water level is set at 3.5 metres above the datum.

Project Properties Dialog for tutorial 2
(Click to Enlarge)

Step 2 - Construct the Channel

In this step, we are going to create a straight flat channel with twenty 100m segments (21 data points). Again, the channel is rectangular, 6m wide and 5.5m high with the Manning's n coefficient equals to 0.020. The upstream half of the channel has a slope of 0.006, while the downstream half has a slope of 0.001.

Open the Edge Properties Dialog for the edge. Since we need a 20-segment edge with 21 data points, we need to add 19 data points. Click any cell in the top row then click Insert Row. Enter 19 in the input box. Nineteen rows will be added. For every point, enter 100 for Delta X, 6 for Bottom Width, 5.5 for Channel Height, 0 for Turn Angle for straight channel, 6 for Flooding Plain, 0.020 for Manning's coefficient, 5.5 for Pressure Height, and 90 for both Side Angle and Flooding Plain Side Angle. Then set the invert level at row 1 to 3m, row 11 to 0m and row 21 to ¡V0.5m. Select invert levels for row 2 to 10 and click Interpolate. Lastly, select invert levels for row 12 to 20 and click Interpolate again.

The Edge Properties Dialog for tutorial 2
(Click to Enlarge)

Step 3 - Set Boundary Conditions

For this example, there is a constant water level at outflow joint and a constant discharge inflow joint. Let define the outflow condition first.

For outflow, select Water Level. To define a constant water level. Select all the cells in the table by clicking the unit label (Level m), then click Constant Value and enter 3 in the input box. When the values are entered, we see the chart to the right show a yellow horizontal line at 3.00 level and a shaded area indicating the range where the specified water levels should fall within.

Out-flow for tutorial 2.
(Click to Enlarge)

For inflow, select Flow Quantity. To specify a constant inflow discharge, we select all cells by clicking the unit label (Flow m3/s), then click Constant Value and enter 100 in the input box. When the values are entered, we can see the chart to the right shows a straight yellow horizontal line at 100.00 level.

In-flow for tutorial 2.
(Click to Enlarge)

Step 4 - Simulation

Save the file by clicking [image] or clicking File -> Save. Select a target folder and give that name tut2.fld. Then click [image] to begin simulation. Since the simulation settings are same as tutorial 1's. The time required for simulation is similar to that for tutorial 1.

Step 5 - Visualization

From the Channel Side View panel, it can be clearly seen that the channel slope is steeper in the upstream and becomes milder in the downstream. Also, it can be observed that the water depth is increasing from the upstream end towards the middle section, and then is reducing towards the downstream end. If we compute the Froude Number (Fr = U/¡Ô(gH)) at each data point, it can be found that it decreases from 0.86 at data point #1 to 0.51 at data point #11, then increases to 0.82 at data point #21.

Channel side view

Step 6 - Make Some Changes

We have completed a cycle of Visflood work flow, Now we can make some changes to the project and see some features of the steady flow in the uniform straight open channel that change in slope.

Firstly, we will interchange the bed slope of the two parts of the channel, that is, we will have the slope for the upstream portion be 0.001 and that for the downstream portion be 0.006. Open the Edge Properties Dialog for the edge. Set the invert level at row 1 to 0.5m, row 11 to 0m and row 21 to ¡V3m. Select invert levels for row 2 to 10 and click Interpolate. Lastly, select invert levels for row 12 to 20 and click Interpolate again.

The Edge Properties Dialog for tut2b.fld
(Click to Enlarge)

Save the file as tut2b.fld and carry out the simulation. Then from the Channel Side View panel, it can be clearly seen that the channel slope is steeper in the downstream instead. For this case, it can be observed that the water depth is decreasing from the upstream end towards the middle section, and then is increasing towards the downstream end. So, it is just the reverse of the previous case. When we compute Fr at each data point, it is found that it increases from 0.52 at data point #1 to 0.92 at data point #11, and then decreases to 0.82 at data point #21.

Channel Side View for tut2b.fld

See Also

Tutorial 1 Straight Uniform Channel

Visflood Work Flow

Define Channel Parameters

Define Boundary Conditions

Project Properties Dialog

Edge Properties Dialog

Flow Properties Dialog


Tutorial 3

Tutorial
Tutorial 3: Channel with Varying Sections - Overflow

In this tutorial, we are going to create a channel with varying cross sections like that in tutorial 2. We will simulate the effect of tidal action by applying a time varying boundary condition at the downstream end, and then we will introduce an impulse flow at the upstream end to cause a overflow (flooding) event. We will also modify the channel geometry and try to solve the flooding problem.

Step 1 - Setup Project Properties

We want the simulator to simulate 3 cycles, the period of each cycle is 25 hours. Iteration interval is 5 minutes. Boundary condition data (in/out flow) must cover the entire simulation time. That is 75 hours. We want to supply the boundary condition data at 1 hour interval. We also want the output to be sampled every hour. Initial water level should be set at 3 metres.

The Project Properties Dialog
(Click to Enlarge)

Enter "Tutorial 3" in Title and "Channel with varying sections - overflow" in Descriptions.

In In/Out-Flow Data Settings, enter 270000s or 75h in Total Time and 3600s or 1h in Interval.

In Simulation Settings, enter 3 in Cycles, 90000s or 25h in Cycle Length, 300 in Interval, 3600s or 1h in Output Data Interval and 3 in Initial Level. Leave all other as default.

Step 2 - Construct the Channel

This time the channel is much longer. Construct a channel with 20 segments. That is 21 data points. The channel parameters is shown in the following table.

DX | IL | BW | CH | TA | FW | MC | PS | SA | FA
N/A | 2.00 | 45 | 4.00 | N/A | 51.03 | 0.026 | 4.00 | 53 | 53
500 | 1.50 | 45 | 4.00 | 0 | 51.03 | 0.026 | 4.00 | 53 | 53
500 | 1.00 | 45 | 3.50 | 0 | 50.27 | 0.026 | 3.50 | 53 | 53
300 | 0.50 | 45 | 4.00 | 0 | 51.03 | 0.026 | 4.00 | 53 | 53
200 | 0.25 | 45 | 4.25 | 0 | 51.41 | 0.026 | 4.25 | 53 | 53
250 | 0.00 | 45 | 5.00 | 0 | 51.78 | 0.026 | 5.00 | 53 | 53
250 | -0.5 | 45 | 5.00 | 0 | 52.54 | 0.026 | 5.00 | 53 | 53
250 | -0.5 | 45 | 5.00 | 0 | 52.54 | 0.026 | 5.00 | 53 | 53
250 | -0.5 | 45 | 5.00 | 0 | 52.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53
500 | -0.5 | 180 | 5.00 | 0 | 187.54 | 0.026 | 5.00 | 53 | 53

Cross section of channel.

DX = Delta X, in m
IL = Invert Level, in m
BW = Bottom Width, in m
CH = Channel Height, in m
TA = Turn Angle, in degree
FW = Flooding Plain Width, in m
MC = Manning's Coef., dimensionless
PS = Preissmann Slot Height, in m
SA = Side Angle, in degree
FA = Flooding Plain Side Angle, in degree

Step 3 - Set Boundary Conditions

For outflow condition, we specify a harmonic water level variation. Select all the cells in the table by clicking the unit label. In Harmonics, set Cycles to 3, Amp to 0.85m, Offset to 3m and Phase to 0. Then click Set.

Out-flow for tutorial 3.
(Click to Enlarge)

For inflow condition, we define an impulse flow quantity last for 10 hours at the beginning of the last simulation cycle. First set all values to zero. Set 51h and 59h to 100m3/s, 52h and 58h to 160m3/s and 53h-57h to 375m3/s. This discharge will coincide with the occurrence of high water due to the tidal action.

In-flow for tutorial 3.
(Click to Enlarge)

Step 4 - Simulation

Save the file by clicking [image] or clicking File -> Save. Select a target folder and give that name tut3a.fld. Then click [image] to begin simulation.

Step 5 - Visualization

Select data point #3 and show the hydrographs. Note the occurrence of overflow at the peak water depth point around time index 7:16:00. The water depth is greater than 3.5m around that time.

Overflow near data point 3 around time index 7:16:00

Water depth changes of the last simulation cycle (25 hours) for data point 3. The green line shows the current time index at 7:16:00 when the overflow occurs.

Step 6 - Make Some Changes

The next thing we would like to do is to examine the effect of changing the channel geometry. We will widen part of the channel to increase its capacity to handle the inflow from the upstream and to see whether it will solve the flooding problem. Open the Edge Properties Dialog, change the bottom width at row 6-9 from 45m to 100m. Save the file as tut3b.fld. Run the simulation again and examine the changes around data point #3. It can be seen that peak water depth is reduced to around 3.2m, hence overflow no longer occurs.

Water depth for data point 3 after modification. The peak level is slightly lowered and no overflow occurs.

See Also

Visflood Work Flow

Define Channel Parameters

Define Boundary Conditions

Project Properties Dialog

Edge Properties Dialog

Flow Properties Dialog


Tutorial 4

Tutorial
Tutorial 4: Y-Shaped Channel System

In this tutorial, we will consider a Y-shaped trapezoidal channel system with 3 edges. The 3 edges share a common joint as the junction. This is the simplest multi-edge system, and this tutorial is aimed to help the user gain the necessary experience for building more complicated channel system in future. For the present version of VISFLOOD simulator, it can handle multiple inflow boundaries but just a single outflow boundary. For this case, there will be 1 outflow point and 2 inflow points.

Step 1 - Setup Project Properties

We want the simulator to simulate 3 cycles, the period of each cycle is 4 hours. Iteration interval is 30 seconds. Boundary condition data (in/out flow) must cover the entire simulation time. That is 12 hours. We want to supply the boundary condition data at 5 minutes interval. We want the output to be sampled every 24 minutes. Initial water level should be set at 3 metres.

The Project Properties Dialog
(Click to Enlarge)

Enter "Tutorial 4" in Title and "Y-shaped channel system" in Descriptions.

In In/Out-Flow Data Settings, enter 43200s or 12h in Total Time and 300s or 5m in Interval.

In Simulation Settings, enter 3 in Cycles, 14400s or 4h in Cycle Length, 30 in Interval, 1440s or 24m in Output Data Interval and 3 in Initial Level. Leave all other as default.

Step 2 - Construct the Channel

Construct an arbitrary Y-shaped channel by connecting 4 joints in such a way that one will be the junction and one will be outflow joints and the remaining two are inflow joints. Suppose edge 1 and edge 2 are the two inflow edges. Edge 3 is the outflow edge.

An arbitrary y-shaped channel

Set the two inflow edges' parameters as follows:

Edge 1
DX | IL | BW | CH | TA | FW | MC | PS | SA | FA
N/A | 2.00 | 8 | 6.00 | N/A | 15.79 | 0.020 | 6.00 | 57 | 57
120 | 1.60 | 8 | 6.20 | 0 | 16.05 | 0.020 | 6.20 | 57 | 57
120 | 1.20 | 8 | 6.40 | 0 | 16.31 | 0.020 | 6.40 | 57 | 57
120 | 0.80 | 8 | 6.60 | 0 | 16.57 | 0.020 | 6.60 | 57 | 57
120 | 0.45 | 8 | 6.80 | 0 | 16.83 | 0.020 | 6.80 | 57 | 57
120 | 0.00 | 8 | 7.00 | 0 | 17.09 | 0.020 | 7.00 | 57 | 57
Edge 2
DX | IL | BW | CH | TA | FW | MC | PS | SA | FA
N/A | 1.00 | 4 | 5.50 | N/A | 11.14 | 0.020 | 5.50 | 57 | 57
100 | 0.75 | 4 | 5.88 | 0 | 11.64 | 0.020 | 5.88 | 57 | 57
100 | 0.50 | 4 | 6.25 | 0 | 12.12 | 0.020 | 6.25 | 57 | 57
100 | 0.25 | 4 | 6.63 | 0 | 12.61 | 0.020 | 6.63 | 57 | 57
100 | 0.00 | 4 | 7.00 | 0 | 13.09 | 0.020 | 7.00 | 57 | 57

Set the outflow edge's parameters as follows:

Edge 3
DX | IL | BW | CH | TA | FW | MC | PS | SA | FA
N/A | 0.00 | 12 | 7.00 | N/A | 21.09 | 0.020 | 7.00 | 57 | 57
150 | -0.25 | 12 | 7.25 | 0 | 21.42 | 0.020 | 7.25 | 57 | 57
150 | -0.50 | 12 | 7.50 | 0 | 21.74 | 0.020 | 7.50 | 57 | 57
150 | -0.75 | 12 | 7.75 | 0 | 22.07 | 0.020 | 7.75 | 57 | 57
150 | -1.00 | 12 | 8.00 | 0 | 22.39 | 0.020 | 8.00 | 57 | 57
150 | -1.25 | 12 | 8.25 | 0 | 22.72 | 0.020 | 8.25 | 57 | 57
150 | -1.50 | 12 | 8.50 | 0 | 23.04 | 0.020 | 8.50 | 57 | 57
150 | -1.75 | 12 | 8.75 | 0 | 23.36 | 0.020 | 8.75 | 57 | 57
150 | -2.00 | 12 | 9.00 | 0 | 23.69 | 0.020 | 9.00 | 57 | 57

Cross section of channel.

DX = Delta X, in m
IL = Invert Level, in m
BW = Bottom Width, in m
CH = Channel Height, in m
TA = Turn Angle, in degree
FW = Flooding Plain Width, in m
MC = Manning's Coef., dimensionless
PS = Preissmann Slot Height, in m
SA = Side Angle, in degree
FA = Flooding Plain Side Angle, in degree

Change the angle between edge 1 and 3 to 145¢X and that between edge 1 and 2 to 70¢X.

The Y-shaped channel.

Step 3 - Set Boundary Conditions

For outflow condition, we define a harmonic water level. Select all the cells in the table by clicking the unit label. In Harmonics, set Cycles to 3, Amp to 1m, Offset to 3.5m and Phase to 0. Then click Set.

Out-flow for tutorial 4.
(Click to Enlarge)

There are two inflow for this tutorial. For inflow to edge 1, we define an impulse flow quantity last for 1 hours at the beginning of the last simulation cycle. First set all values to zero. Then set all values between 8h and 9h to 10m3/s.

In-flow 1 for tutorial 4.
(Click to Enlarge)

For inflow to edge 2, we define an weaker impulse flow quantity last for 1 hours at the beginning of the last simulation cycle. First set all values to zero. Then set all values between 8h30m and 9h30m to 6m3/s.

In-flow 2 for tutorial 4.
(Click to Enlarge)

Step 4 - Simulation

Save the file by clicking [image] or clicking File -> Save. Select a target folder and give that name tut4a.fld. Then click [image] to begin simulation.

Step 5 - Visualization

To create different Channel Side views, we can select different edges individually as well as the combination of two edges. However, if all three edges are selected, no side view will be created, as a single longitudinal path cannot be formed and a warning message will be given. Selecting edge 1 and edge 3, we will have the following side view.

Side view of edge 1 and 3 at time index 1:00:00.

Step 6 - Make Some Changes

Since the simulator (modelling engine) is a one-dimensional numerical model, so the spatial change in the horizontal plan, such as swapping edges for edge 1 and edge 2, variation of angles between them, will not affect the simulation results. To demonstrate this point, let us change the Y-shaped system to T-shaped. Change the angle between edge 1 and edge 3 to 180¢X, and that between 1 and 2 to 90¢X. Save the file as tut4b.fld and simulate again. Comparing the results obtained from the two configurations, it can be seen that they are the same for corresponding data points.

See Also

Visflood Work Flow

Define Channel Parameters

Define Boundary Conditions

Project Properties Dialog

Edge Properties Dialog

Flow Properties Dialog


Tutorial 5

Tutorial
Tutorial 5: A Straight Channel with Varying Section - Overflow and Covering

In the pervious tutorial cases, we have worked with open channels only. In this tutorial, we will consider a channel that is partially covered. To illustrate the difference between the fully open and partially covered case, a case with the occurrence of overflow is designed.

Step 1 - Setup Project Properties

We want the simulator to simulate 3 cycles, each cycle has a period of 4 hours. Iteration interval is 30 seconds. Boundary condition data (in/out flow) must cover the entire simulation time. That is 12 hours. We want to supply the boundary condition data at 5 minutes interval. We want the output to be sampled every 24 minutes. Initial water level should be set at 3 metres.

The Project Properties Dialog
(Click to Enlarge)

Enter "Tutorial 5" in Title and "A straight channel with varying sections - overflow and covering" in Descriptions.

In In/Out-Flow Data Settings, enter 43200s or 12h in Total Time and 300s or 5m in Interval.

In Simulation Settings, enter 3 in Cycles, 14400s or 4h in Cycle Length, 30 in Interval, 1440s or 24m in Output Data Interval and 3 in Initial Level. Leave all other as default.

Step 2 - Construct the Channel

Construct a straight channel like that in tutorial 1 with 10 segments using the following parameters.

DX | IL | BW | CH | TA | FW | MC | PS | SA | FA
N/A | 0.00 | 8 | 4.00 | N/A | 8 | 0.015 | 4.00 | 90 | 90
100 | -0.25 | 8 | 4.30 | 0 | 8 | 0.015 | 4.30 | 90 | 90
100 | -0.50 | 8 | 4.60 | 0 | 8 | 0.015 | 4.60 | 90 | 90
100 | -0.75 | 8 | 4.90 | 0 | 8 | 0.015 | 4.90 | 90 | 90
100 | -1.00 | 8 | 5.20 | 0 | 8 | 0.015 | 5.20 | 90 | 90
100 | -1.25 | 8 | 5.50 | 0 | 8 | 0.015 | 5.50 | 90 | 90
100 | -1.50 | 8 | 5.80 | 0 | 8 | 0.015 | 5.80 | 90 | 90
100 | -1.75 | 8 | 6.10 | 0 | 8 | 0.015 | 6.10 | 90 | 90
100 | -2.00 | 8 | 6.40 | 0 | 8 | 0.015 | 6.40 | 90 | 90
100 | -1.75 | 8 | 6.70 | 0 | 8 | 0.015 | 6.70 | 90 | 90
100 | -2.00 | 8 | 7.00 | 0 | 8 | 0.015 | 7.00 | 90 | 90

Cross section of channel.

DX = Delta X, in m
IL = Invert Level, in m
BW = Bottom Width, in m
CH = Channel Height, in m
TA = Turn Angle, in degree
FW = Flooding Plain Width, in m
MC = Manning's Coef., dimensionless
PS = Preissmann Slot Height, in m
SA = Side Angle, in degree
FA = Flooding Plain Side Angle, in degree

Step 3 - Set Boundary Conditions

For outflow condition, we specify a harmonic water level. Select all the cells in the table by clicking the unit label. In Harmonics, set Cycles to 3, Amp to 0.85m, Offset to 3m and Phase to 0. Then click Set.

Out-flow for tutorial 5.
(Click to Enlarge)

For inflow, we define an impulse flow quantity last for 30 minutes at the beginning of the last simulation cycle. First set all values to zero. Then set all values between 8h30m and 9h to 13m3/s.

In-flow for tutorial 5.
(Click to Enlarge)

Step 4 - Simulation

Save the file by clicking [image] or clicking File -> Save. Select a target folder and give that name tut5a.fld. Then click [image] to begin simulation.

Step 5 - Visualization

Move back to the look at the whole channel. We can see that under the combined effects of the inflow and tidal action, overflow will occur between data point #2 and #3 around time index 1:16:00.

Overflow around time index 1:16:00

Step 6 - Make Some Changes

Now, let's change the upstream part of the channel from open to covered. Open the Edge Properties Dialog, Change the Pressure Depth at row 1-5 to 100m. Save the file as tut5b.fld and run the simulation.

When visualizing the results, it is easily seen that the upstream part of the channel is now covered. The water will be restrained and cannot rise above the channel cover. The flow is pressurized when the section is full flow. As there is sufficient capacity in the downstream channel, so no overflow occur when the impulsive inflow reach the downstream open channel.

Covered channel. No overflow in this case.

See Also

Visflood Work Flow

Define Channel Parameters

Define Boundary Conditions

Project Properties Dialog

Edge Properties Dialog

Flow Properties Dialog


How to...
How to Section Index

This is the "How To" section. It contains answers to some common operation in Visflood. The following lists contain most common tasks, and the tasks are grouped by task nature. For other questions, please consult the Visflood FAQ.

Channel Construction Related

  • How to add joints at a particular location?
  • How to remove unused joints from the environment?
  • How to specify the angle between two channels at junctions?
  • How to bend an edge?
  • ....

Simulation Related

  • How to call the simulator manually?

File Related

  • How to ...

To be continue.....

See Also

Visflood FAQ


How to...
How to remove unused joints from the environment?

To remove unused joints from the environment, click [image] or click Construction Bar -> Clear Unwanted Objects. All unconnected joints will be removed.

See Also

Joint


How to...
How to specify the angle between two channels at junctions?

To set the angle be two adjacent edges, select the two edges until that angle is displayed. Click [image] or click Construct -> Edge Angle or press A to open the Edge Angle Dialog. Input the new angle in degree will change the angle. The first selected edge will be the fixed edge. The other edges and all other entities connected through it will be rotated to make the new angle match the one specified.

Angle between 2 adjacent edges.

See Also

Edges